#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(xbus_statename, "", "");
KSYMTAB_FUNC(xbus_num, "", "");
KSYMTAB_FUNC(xframe_init, "", "");
KSYMTAB_FUNC(xframe_next_packet, "", "");
KSYMTAB_FUNC(dump_xframe, "", "");
KSYMTAB_FUNC(send_pcm_frame, "", "");
KSYMTAB_FUNC(xbus_command_queue_tick, "", "");
KSYMTAB_FUNC(send_cmd_frame, "", "");
KSYMTAB_FUNC(xbus_receive_xframe, "", "");
KSYMTAB_FUNC(xpd_of, "", "");
KSYMTAB_FUNC(xpd_byaddr, "", "");
KSYMTAB_FUNC(xbus_setstate, "", "");
KSYMTAB_FUNC(xbus_activate, "", "");
KSYMTAB_FUNC(xbus_connect, "", "");
KSYMTAB_FUNC(xbus_deactivate, "", "");
KSYMTAB_FUNC(xbus_disconnect, "", "");
KSYMTAB_FUNC(xbus_free, "", "");
KSYMTAB_FUNC(xbus_new, "", "");
KSYMTAB_FUNC(xbus_reset_counters, "", "");
KSYMTAB_FUNC(transportops_get, "", "");
KSYMTAB_FUNC(transportops_put, "", "");
KSYMTAB_FUNC(xpd_driver_register, "", "");
KSYMTAB_FUNC(xpd_driver_unregister, "", "");
KSYMTAB_FUNC(echocancel_xpd, "", "");
KSYMTAB_DATA(pcmtx, "", "");
KSYMTAB_DATA(pcmtx_chan, "", "");
KSYMTAB_FUNC(sync_mode_name, "", "");
KSYMTAB_FUNC(got_new_syncer, "", "");
KSYMTAB_FUNC(xbus_request_sync, "", "");
KSYMTAB_FUNC(dahdi_sync_tick, "", "");
KSYMTAB_FUNC(elect_syncer, "", "");
KSYMTAB_FUNC(update_wanted_pcm_mask, "", "");
KSYMTAB_FUNC(generic_card_pcm_recompute, "", "");
KSYMTAB_FUNC(generic_card_pcm_fromspan, "", "");
KSYMTAB_FUNC(generic_card_pcm_tospan, "", "");
KSYMTAB_FUNC(generic_echocancel_timeslot, "", "");
KSYMTAB_FUNC(generic_echocancel_setmask, "", "");
KSYMTAB_FUNC(generic_timing_priority, "", "");
KSYMTAB_FUNC(xframe_queue_init, "", "");
KSYMTAB_FUNC(xframe_queue_clearstats, "", "");
KSYMTAB_FUNC(xframe_enqueue, "", "");
KSYMTAB_FUNC(xframe_dequeue, "", "");
KSYMTAB_FUNC(xframe_queue_disable, "", "");
KSYMTAB_FUNC(xframe_queue_clear, "", "");
KSYMTAB_FUNC(xframe_queue_count, "", "");
KSYMTAB_FUNC(get_xframe, "", "");
KSYMTAB_FUNC(put_xframe, "", "");
KSYMTAB_DATA(debug, "", "");
KSYMTAB_FUNC(get_xpd, "", "");
KSYMTAB_FUNC(put_xpd, "", "");
KSYMTAB_FUNC(xpd_free, "", "");
KSYMTAB_FUNC(create_xpd, "", "");
KSYMTAB_FUNC(phonedev_alloc_channels, "", "");
KSYMTAB_FUNC(xpd_alloc, "", "");
KSYMTAB_FUNC(update_xpd_status, "", "");
KSYMTAB_FUNC(oht_pcm, "", "");
KSYMTAB_FUNC(mark_offhook, "", "");
KSYMTAB_FUNC(notify_rxsig, "", "");
KSYMTAB_FUNC(hookstate_changed, "", "");
KSYMTAB_FUNC(xpp_open, "", "");
KSYMTAB_FUNC(xpp_close, "", "");
KSYMTAB_FUNC(report_bad_ioctl, "", "");
KSYMTAB_FUNC(xpp_ioctl, "", "");
KSYMTAB_FUNC(xpp_hooksig, "", "");
KSYMTAB_FUNC(xpp_maint, "", "");
KSYMTAB_FUNC(xpp_echocan_name, "", "");
KSYMTAB_FUNC(xpp_echocan_create, "", "");
KSYMTAB_FUNC(xpp_span_assigned, "", "");
KSYMTAB_FUNC(xpd_set_spanname, "", "");
KSYMTAB_FUNC(valid_xpd_addr, "", "");
KSYMTAB_FUNC(xproto_card_entry, "", "");
KSYMTAB_FUNC(xproto_global_entry, "", "");
KSYMTAB_FUNC(notify_bad_xpd, "", "");
KSYMTAB_FUNC(xframe_receive, "", "");
KSYMTAB_FUNC(dump_packet, "", "");
KSYMTAB_FUNC(dump_reg_cmd, "", "");
KSYMTAB_FUNC(xproto_name, "", "");
KSYMTAB_FUNC(xproto_register, "", "");
KSYMTAB_FUNC(xproto_unregister, "", "");
KSYMTAB_FUNC(xpp_register_request, "", "");
KSYMTAB_FUNC(xpp_ram_request, "", "");
KSYMTAB_FUNC(run_initialize_registers, "", "");
KSYMTAB_FUNC(dump_poll, "", "");
KSYMTAB_FUNC(alarm2str, "", "");

MODULE_INFO(depends, "dahdi");

